Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065962 - Skipping new administrative user creation creates a user with name "Username"
Summary: Skipping new administrative user creation creates a user with name "Username"
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss BRMS Platform 6
Classification: Retired
Component: Installer
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ER1
: 6.0.1
Assignee: Francisco Canas
QA Contact: Ivo Bek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-17 12:15 UTC by Ivo Bek
Modified: 2014-09-03 04:57 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-06 19:58:36 UTC
Type: Bug


Attachments (Terms of Use)
Prompt to overwrite or skip if eap user exists (deleted)
2014-02-19 20:29 UTC, Miles Tjandrawidjaja
no flags Details
Ensure username where brms is saved does not overwrite (deleted)
2014-02-19 20:30 UTC, Miles Tjandrawidjaja
no flags Details

Description Ivo Bek 2014-02-17 12:15:01 UTC
Description of problem:

When I install BRMS/BPMS to an existing EAP which contain a management user already and I skip new administrative user creation, the user with name "Username" is created. I believe this is a security issue.

After the installation mgmt-users.properties contain:

Username=177a8bd36cd568e20b4027eae7519e00

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Extract EAP 6.1.1
2. Install BRMS/BPMS 6.0.GA over the EAP
3. See mgmt-users.properties

Actual results:


Expected results:


Additional info:

Comment 1 Francisco Canas 2014-02-18 16:31:50 UTC
More recent versions of the installer-commons and IzPack contain a fix for this issue. The next brms/bpms installer build will also contain it.

Comment 2 Miles Tjandrawidjaja 2014-02-19 20:29:45 UTC
Created attachment 865199 [details]
Prompt to overwrite or skip if eap user exists

Comment 3 Miles Tjandrawidjaja 2014-02-19 20:30:49 UTC
Created attachment 865200 [details]
Ensure username where brms is saved does not overwrite

Comment 4 Andrej Podhradsky 2014-02-27 08:49:01 UTC
Verified with 6.0.1.ER1


Note You need to log in before you can comment on or make changes to this bug.